LogoThreatmatic

Update Organization Member Role

POST
/organization/update-member-role

Update the role of a member in an organization

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://console.threatmatic.ai/api/auth/organization/update-member-role" \  -H "Content-Type: application/json" \  -d '{    "role": "string",    "memberId": "string"  }'
{
  "member": {
    "id": "string",
    "userId": "string",
    "organizationId": "string",
    "role": "string"
  }
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}